Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations
Class SimpleInviteeIterator

    java.lang.Object
      com.bea.netuix.application.communities.invitations.SimpleInviteeIterator

All Implemented Interfaces
  InviteeIterator, Serializable, Iterator<Invitee>

Direct Known Subclasses:
  UserAndGroupInviteeIterator

    public class SimpleInviteeIterator

extends Object
implements InviteeIterator

SimpleInviteeIterator provides an InviteeIterator implementation that allows developers to collect up a set of `Invitee` objects one at a time for consumption by the Communities Invitation framework. This `InviteeIterator` is most useful for cases where the Communities application needs to indiviudally specify all portions of each `Invitee` object, such as is the case when inviting external users or when the user doing the invitation needs to specify messaging addresses that are not already known to the framework via the `MessagingAddress` mappings to User Profile values.

For more information see the discussion of invitations or the overview of community functionality.

See Also
  Serialized Form

Constructor Summary
`SimpleInviteeIterator()` Constructs a new, empty iterator.

Method Summary
`void` | `addInvitee(Invitee invitee)` Adds an Invitee to this iterator.
`void` | `close()` Called by the framework to end iteration.
`boolean` | `hasNext()`
`Invitee` | `next()`
`void` | `open()` Called by the framework to begins iteration.
`void` | `remove()` Not supported by this iterator
`void` | `reset()` Resets this iterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleInviteeIterator

    public SimpleInviteeIterator()

  Constructs a new, empty iterator.

Method Detail

### addInvitee

    public void addInvitee(Invitee invitee)

  Adds an Invitee to this iterator.

  Parameters
    `invitee` - the invitee to add

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<Invitee>`

### next

    public Invitee next()

  Specified by:
    `next` in interface `Iterator<Invitee>`

### remove

    public void remove()

  Not supported by this iterator

  Specified by:
    `remove` in interface `Iterator<Invitee>`

### reset

    public void reset()
               throws InviteeIteratorException

  Description copied from interface: `InviteeIterator`
  Resets this iterator. After this call, calls to hasNext and next will begin at the beginning of the internal collection of `Invitees`

  ``
  Specified by:
    `reset` in interface `InviteeIterator`
  Throws
    `InviteeIteratorException`

### open

    public void open()
              throws InviteeIteratorException

  Description copied from interface: `InviteeIterator`
  Called by the framework to begins iteration. After this call, calls to hasNext and next will begin at the beginning of the internal collection of `Invitees`. The framework calls this method before the InviteeIterator is sent to CommunityInviter implementations, so it is unnecessary for CommunityInviter objects to call this method.

  Specified by:
    `open` in interface `InviteeIterator`
  Throws
    `InviteeIteratorException`

### close

    public void close()

  Description copied from interface: `InviteeIterator`
  Called by the framework to end iteration. After this call, all calls to hasNext should return false, and all call to next should return null. Iteration can be resumed by calling open. The framework calls this method before the InviteeIterator is sent to CommunityInviter implementations, so it is unnecessary for CommunityInviter objects to call this method.

  Specified by:
    `close` in interface `InviteeIterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.